"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-38/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784a60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784af0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784b80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784c10>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784ca0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784d30>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784dc0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784e50>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784ee0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd784f70>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b0d0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b160>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b1f0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b280>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b310>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b3a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b430>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b4c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b550>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b5e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b670>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b700>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b790>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b8b0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b820>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b940>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78b9d0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78ba60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78baf0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78bb80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78bc10>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78bca0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78bd30>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78bdc0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78be50>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78bee0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78bf70>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e0d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e160>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e1f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e280>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e310>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e3a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e430>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e4c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e550>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e5e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e670>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e700>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e790>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e820>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e8b0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e940>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78e9d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78ea60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78eaf0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78eb80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78ec10>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78eca0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78ed30>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78edc0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78ee50>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78eee0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd7920d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd78ef70>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792160>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd7921f0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792280>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792310>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd7923a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd7924c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792430>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792550>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd7925e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792670>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792790>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792700>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792820>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd7928b0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792940>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd7929d0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792a60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe0fd792af0>)]
name: str = 'fr_HOCCN'
